TCFTEST(1)

NAME
tcftest - test cases of the fixed-length database API

DESCRIPTION

The command `tcftest' is a utility for facility test and performance test. This command is used in the following format. `path' specifies the path of a database file. `rnum' specifies the number of iterations. `width' specifies the width of the value of each record. `limsiz' specifies the limit size of the database file.

    tcftest write [-mt] [-nl|-nb] [-rnd] path rnum [width [limsiz]]
        Store records with keys of 8 bytes. They change as `00000001', `00000002'...
    tcftest read [-mt] [-nl|-nb] [-wb] [-rnd] path
        Retrieve all records of the database above.
    tcftest remove [-mt] [-nl|-nb] [-rnd] path
        Remove all records of the database above.
    tcftest rcat [-mt] [-nl|-nb] [-pn num] [-dai|-dad|-rl] path rnum [limsiz]]
        Store records with partway duplicated keys using concatenate mode.
    tcftest misc [-mt] [-nl|-nb] path rnum
        Perform miscellaneous test of various operations.
    tcftest wicked [-mt] [-nl|-nb] path rnum
        Perform updating operations selected at random.

Options feature the following.

    -mt : call the function `tcfdbsetmutex'.
    -nl : enable the option `FDBNOLCK'.
    -nb : enable the option `FDBLCKNB'.
    -rnd : select keys at random.
    -wb : use the function `tcfdbget4' instead of `tcfdbget2'.
    -pn num : specify the number of patterns.
    -dai : use the function `tcfdbaddint' instead of `tcfdbputcat'.
    -dad : use the function `tcfdbadddouble' instead of `tcfdbputcat'.
    -rl : set the length of values at random.

This command returns 0 on success, another on failure.

SEE ALSO

tcfmttest(1), tcfmgr(1), tcfdb(3), tokyocabinet(3)